---
title: Introduction to HTML5
slug: Web/Guide/HTML/HTML5/Introduction_to_HTML5
tags:
  - Basic
  - Guide
  - HTML
  - HTML5
  - NeedsContent
  - Web
---
<p><a class="external" href="http://www.whatwg.org/specs/web-apps/current-work/">HTML5</a> is the fifth revision and newest version of the HTML standard. It offers new features that provide not only rich media support but also enhance support for creating web applications that can interact with users, their local data, and servers more easily and effectively than was previously possible.</p>

<p>Some HTML5 features remain unsupported by some browsers. However, Gecko, and by extension, Firefox, has very good support for HTML5, and work continues toward supporting more of its features. Gecko began supporting some HTML5 features in version 1.8.1. You can find a list of all of the HTML5 features that Gecko currently supports on the <a href="/en/HTML/HTML5" title="en/HTML/HTML5">main HTML5 page</a>. For detailed information about multiple browsers' support of HTML5 features, refer to the <a class="external" href="http://caniuse.com/#cats=HTML5">CanIUse</a> website.</p>

<h2 id="Declaring_that_the_document_contains_HTML5_mark-up_with_the_HTML5_doctype">Declaring that the document contains HTML5 mark-up with the HTML5 doctype</h2>

<p>The doctype for HTML5 is very simple. To indicate that your HTML content uses HTML5, use:</p>

<pre class="brush:html;">&lt;!DOCTYPE html&gt;
</pre>

<p>Doing so will cause even browsers that don't presently support HTML5 to enter into standards mode, which means that they'll interpret the long-established parts of HTML in an HTML5-compliant way while ignoring the new features of HTML5 they don't support.</p>

<p>This is much simpler than the former doctypes, and shorter, making it easier to remember and reducing the amount of bytes that must be downloaded.</p>

<h2 id="Declaring_the_character_set_with_the_&lt;meta_charset&gt;">Declaring the character set with the <code>&lt;meta charset&gt;</code></h2>

<p>The first thing done on a page is usually indicating the character set that is used. In previous versions of HTML, it was done using a very complex {{HTMLElement("meta")}} element. Now, it is very simple:</p>

<pre class="brush:html;">&lt;meta charset="UTF-8"&gt;</pre>

<p>Place this right after your {{HTMLElement("head") }}, as some browsers restart the parsing of an HTML document if the declared character set is different from what they had anticipated. Also, if you are not currently using UTF-8, it's recommended that you switch to it in your web pages, as it simplifies character handling in documents using different scripts.</p>

<p>Note that HTML5 restricts character sets to those compatible with ASCII and using at least 8 bits. This was done to tighten security and prevent some types of attacks.</p>

<h2 id="Using_the_new_HTML5_parser">Using the new HTML5 parser</h2>

<p>The parsing rules of HTML5, which analyze the meaning of mark-up, have been more precisely defined in HTML5. Until the introduction of HTML5, only the meaning of <em>valid</em> mark-up was defined, meaning that as soon as one small error was made in the mark-up (most websites have at least one), the behavior was undefined. Essentially, it meant that all browsers behaved differently, which is no longer the case. Now, faced with errors in the mark-up, all compliant browsers must behave exactly in the same way.</p>

<p>This requirement helps web developers quite a bit. While it is true that all modern browsers now use these HTML5 parsing rules, non-HTML5-compliant browsers are still used by some. Keep in mind that it's still highly recommended that one writes valid mark-up, as such code is easier to read and maintain, and it greatly decreases the prominence of incompatibilities that exists in various older browsers.</p>

<p>Don't worry — you don't have to change anything on your website. The web browsers' developers have done everything for you!</p>
